[arch-commits] Commit in stunnel/trunk (PKGBUILD stunnel.install)

Andrea Scarpino andrea at archlinux.org
Tue Nov 3 12:27:44 EST 2009


    Date: Tuesday, November 3, 2009 @ 12:27:44
  Author: andrea
Revision: 58097

upgpkg: stunnel 4.27-1
    upstream release; FS#15244

Modified:
  stunnel/trunk/PKGBUILD
  stunnel/trunk/stunnel.install

-----------------+
 PKGBUILD        |   46 +++++++++++++++++++++++-----------------------
 stunnel.install |    9 ---------
 2 files changed, 23 insertions(+), 32 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-03 17:14:19 UTC (rev 58096)
+++ PKGBUILD	2009-11-03 17:27:44 UTC (rev 58097)
@@ -1,46 +1,46 @@
 # $Id$
-# Maintainer: Kevin Piche <kevin at archlinux.org>
+# Contributor: Kevin Piche <kevin at archlinux.org>
 # Contributor: Manolis Tzanidakis
 
 pkgname=stunnel
-pkgver=4.25
+pkgver=4.27
 pkgrel=1
 pkgdesc="A program that allows you to encrypt arbitrary TCP connections inside SSL."
-arch=(i686 x86_64)
-license=(GPL)
+arch=('i686' 'x86_64')
+license=('GPL')
 url="http://www.stunnel.org"
-depends=('openssl' 'perl' 'tcp_wrappers' 'zlib')
+depends=('openssl' 'tcp_wrappers')
 source=(http://www.stunnel.org/download/stunnel/src/${pkgname}-${pkgver}.tar.gz
-        stunnel-nopem.patch stunnel)
-options=(!libtool)
+        'stunnel-nopem.patch'
+        'stunnel')
+options=('!libtool')
 install="$pkgname.install"
-md5sums=('7f00799f43910c0362df0e69c65965aa'
+md5sums=('3c655d815576f50046a1c28744b88681'
          'aec994e209405420eed197fd15ca09b0'
          'cb647c71ff4cb1e035b6e515d5f13ebf')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd ${srcdir}/${pkgname}-${pkgver}
 
   # don't create a certificate...
-  /usr/bin/patch -p1 < ../stunnel-nopem.patch 
+  patch -p1 -i ${srcdir}/stunnel-nopem.patch || return 1
 
-  ./configure --prefix=/usr --sysconfdir=/etc --with-tcp-wrappers \
-      --localstatedir=/var
-  /usr/bin/make || return 1
-  /usr/bin/make DESTDIR=$startdir/pkg install
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc \
+    --with-tcp-wrappers \
+    --localstatedir=/var
+  make || return 1
+  make DESTDIR=${pkgdir} install
 
   for i in ca.pl importCA.sh; do
-    /bin/install -D -m 755 tools/$i $startdir/pkg/usr/share/stunnel/$i
+    install -D -m 755 tools/$i ${pkgdir}/usr/share/stunnel/$i
   done
-  /bin/install -D -m 755 $startdir/src/stunnel $startdir/pkg/etc/rc.d/stunnel
-  /bin/sed -e "s:/usr/var/lib/stunnel/:/var/run/stunnel:g" \
+  install -D -m 755 ${srcdir}/stunnel ${pkgdir}/etc/rc.d/stunnel
+  sed -e "s:/usr/var/lib/stunnel/:/var/run/stunnel:g" \
            -e "s:/usr/etc/stunnel/:/etc/stunnel/:g" \
            -e "s:nobody:stunnel:g" -e "s:nogroup:stunnel:g" \
-           -i $startdir/pkg/etc/stunnel/stunnel.conf-sample
-  /bin/install -D -m 644 tools/stunnel.cnf \
-      $startdir/pkg/etc/stunnel/stunnel.cnf
-
-  # libtoolslay
-  #find $startdir/pkg -name '*.la' -exec rm {} \;
+           -i ${pkgdir}/etc/stunnel/stunnel.conf-sample
+  install -D -m 644 tools/stunnel.cnf \
+    ${pkgdir}/etc/stunnel/stunnel.cnf || return 1
 }
 # vim: ts=2 sw=2 et ft=sh

Modified: stunnel.install
===================================================================
--- stunnel.install	2009-11-03 17:14:19 UTC (rev 58096)
+++ stunnel.install	2009-11-03 17:27:44 UTC (rev 58097)
@@ -20,15 +20,6 @@
 Copy /etc/stunnel/stunnel.conf-sample to /etc/stunnel/stunnel.conf
 & edit it to match your setup before invoking the daemon (/etc/rc.d/stunnel).
 
-To generate a stunnel private key (pem), edit /etc/stunnel/stunnel.cnf
-& then :
-
-$ cd /etc/stunnel
-$ openssl req -new -x509 -days 365 -nodes -config stunnel.cnf -out \
-stunnel.pem -keyout stunnel.pem 
-
-(the 2nd command is one-liner...).
-
 EOF
 }
 



More information about the arch-commits mailing list